当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-04-27 17:33 

注册: 2009-04-27 17:21
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
在VM里装上了 ubuntu 的 9.04 cd版
后来进行vmware tools 的安装
装是装了 但不能对vmware tools 进行配置
会出现2个问题 分别是
1。Your compiler "/usr/bin/gcc" version "gcc 版本 4.3.3 (Ubuntu 4.3.3-5ubuntu4)
" is not supported by this version of VMware Tools.

2.No drivers for X.org version: 7.5.0

初用ubuntu 不知道如何解决


页首
 用户资料  
 
2 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-04-28 22:47 

注册: 2009-04-28 22:44
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我也想用这样的配置装,不知道能不能成功,希望你能早日解决问题!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-04-29 13:32 

注册: 2006-12-15 18:55
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
嗯,跟我一样的问题,,陪你等答案.


页首
 用户资料  
 
4 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-04-29 17:34 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
最新版本的vbox好像已经添加了对9.04的支持 :em20


_________________
Ubuntu User


页首
 用户资料  
 
5 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-01 19:47 

注册: 2006-05-27 23:50
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
1。Your compiler "/usr/bin/gcc" version "gcc 版本 4.3.3 (Ubuntu 4.3.3-5ubuntu4)
" is not supported by this version of VMware Tools.

原因是 gcc -v 4.3.3版本返回的值是 gcc 版本 4.3.3,而 vmare-config-tools.pl 检查的时候检查的是 gcc version d.d.d,所以版本检查不通过。
可以手动修改vmare-config-tools.pl 3936行
if($gcc_version =~ /^gcc version (egcs-)?(\d+\.\d+\.\d+)*)/) {
return $2;
改为
if($gcc_version =~ /^gcc (version|版本) (egcs-)?(\d+\.\d+\.\d+)*)/) {
return $3;

Ugly hack but works. 除了hgfs模块有编译错误其他都安装成功了。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-13 11:31 

注册: 2009-05-12 15:08
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我也遇到同样的问题 希望达人帮忙解决 谢谢


页首
 用户资料  
 
7 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-14 0:37 

注册: 2008-09-23 4:45
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
:em01


页首
 用户资料  
 
8 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-14 22:51 

注册: 2009-05-12 15:08
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
VMWARE是咋整的阿 我也有一样的问题。。。

有没有人知道怎么解决呀


页首
 用户资料  
 
9 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-15 12:15 

注册: 2007-04-03 18:06
帖子: 73
送出感谢: 0 次
接收感谢: 0 次
vmware 官方对 不断发行的linux 版本的支持有点之后,没有virtualbox快,gcc 4.3 出错的话,换成4.1试试.


页首
 用户资料  
 
10 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-15 14:06 

注册: 2009-05-12 15:08
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
楼上的同学 怎么换 4.1呀


页首
 用户资料  
 
11 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-19 12:09 

注册: 2009-05-19 12:07
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
在安装vmware-tools的时候,提示错误:
/tmp/vmware-config0/vmhgfs-only/page.c: In function ‘HgfsDoWriteBegin':
/tmp/vmware-config0/vmhgfs-only/page.c:763: warning: ISO C90 forbids mixed declarations and code
/tmp/vmware-config0/vmhgfs-only/page.c: In function ‘HgfsWriteBegin':
/tmp/vmware-config0/vmhgfs-only/page.c:867: error: implicit declaration of function ‘__grab_cache_page'
/tmp/vmware-config0/vmhgfs-only/page.c:867: warning: assignment makes pointer from integer without a cast
提示VMHGFS模块安装失败。
为了正确安装,需要修改源代码。通过下面的操作重新安装vmware-tools:
a. 运行vmware-uninstall-tools.pl反安装
b. 解压vmware-tools安装文件,到vmware-tools-distrib/lib/modules/source目录下,备份vmhgfs.tar。
c. 解开vmhgfs.tar, 修改文件page.c。将代码page = __grab_cache_page(mapping, index);修改为page = grab_cache_page_write_begin(mapping, index, flags); 再打包成vmhgfs.tar
d. 接下来运行vmware-install.pl,安装vmware-tools。

安装的过程中提示不支持X,为了使鼠标变得好用,可以安装xserver-xorg-input-vmmouse,
sudo apt-get install xserver-xorg-input-vmmous
安装之后重启X,可以支持鼠标在vmware和Windows之间自由移动。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-19 12:22 

注册: 2009-05-19 12:07
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
我已经完全安装成功,使用的方法如下:

方法一:
1、首先使用11楼方法修改源码
2、运行vmware-install.pl
3、当运行到 ”是否开始运行/usr/bin/vmware-config-tools.pl 以编译驱动“ 时,另打开一终端窗口,使用5楼方法修改/usr/bin/vmware-config-tools.pl,保存退出。
4、回到vmware-install.pl的执行处继续执行
5、大功告成!

方法二:
也可以在第2步时直接yes到最后,编译驱动统统不成功,退出。进行第3步修改脚本,最后再手动运行/usr/bin/vmware-config-tools.pl,完成!

候捷说:源码面前,了无秘密! :em02


页首
 用户资料  
 
13 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-28 9:01 

注册: 2009-05-28 9:00
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我也遇到这个问题,不过解决方法很简单,大家可以试一下。
export LC_ALL=C

这样gcc -v的输出就没有中文“版本”了,而是"version".


页首
 用户资料  
 
14 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-05-31 20:46 

注册: 2009-05-28 19:22
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
有人做个补丁吧


页首
 用户资料  
 
15 楼 
 文章标题 : Re: vmware 6.5.2 + ubuntu 9.04 vmtools 安装问题
帖子发表于 : 2009-06-01 13:15 
头像

注册: 2008-10-23 19:01
帖子: 458
地址: 乌有之乡
送出感谢: 0 次
接收感谢: 0 次
对9。04的支持不完美,有时还会出现X停止响应的问题。VMware6。5。2对ubuntu9.04并不完全支持的。804、810完全支持。


_________________
心中自是的,便是愚昧人


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译